GTK+ Forums

Discussion forum for GTK+ and Programming. Ask questions, troubleshoot problems, view and post example code, or express your opinions.
It is currently Fri Oct 24, 2014 9:23 pm

All times are UTC




Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: installaton problem
PostPosted: Fri Jan 12, 2007 12:22 pm 
Offline
GTK+ Geek

Joined: Fri Oct 06, 2006 6:37 am
Posts: 57
When I try to install gtk-2.10 , it told me to intall the latest version of glib . I download glib-2.12 and successfully install it. But when I run ./configure it still says my glib verion is 2.6.4 which is the old version installed with linux. I down know how to remove the old version of glib and let the gtk find the new version of glib.

how can set the path of glib in PKG_CONFIG_PATH and LD_LIBRARY_PATH.
so tht i can install gtk-2:10
thank u
sree


Top
 Profile  
 
 Post subject:
PostPosted: Fri Jan 12, 2007 3:53 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 3:07 am
Posts: 384
Location: Fairfax, Virginia
Make sure you set the --prefix in configure to "/usr" when you installed the new GLib. It tends to install itself in parallel in /usr/local.

_________________
Andrew Krause

Foundations of GTK+ Development: Buy now for only $31.49!


Top
 Profile  
 
 Post subject: thank u
PostPosted: Fri Jan 19, 2007 10:33 am 
Offline
GTK+ Geek

Joined: Fri Oct 06, 2006 6:37 am
Posts: 57
can u show me tht command to install glib


Top
 Profile  
 
 Post subject:
PostPosted: Fri Jan 19, 2007 2:50 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 3:07 am
Posts: 384
Location: Fairfax, Virginia
All I'm saying is that you should run "./configure --prefix=/usr" when you run your configure script. This will ensure that the library is installed in the correct place. (You might want to check /usr/local/lib to see if there is a version of the library in this folder)

_________________
Andrew Krause

Foundations of GTK+ Development: Buy now for only $31.49!


Top
 Profile  
 
 Post subject:
PostPosted: Fri Jan 19, 2007 6:49 pm 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 3:07 am
Posts: 384
Location: Fairfax, Virginia
This may also be of some help: http://www.gtk.org/faq/#AEN284

_________________
Andrew Krause

Foundations of GTK+ Development: Buy now for only $31.49!


Top
 Profile  
 
 Post subject: thank u
PostPosted: Tue Jan 23, 2007 10:24 am 
Offline
GTK+ Geek

Joined: Fri Oct 06, 2006 6:37 am
Posts: 57
thank u very muchh
all installed well
but
while installing gtk-2.10
i got the following error
checking Pango flags... configure: error:
*** Pango not found. Pango built with Cairo support is required
*** to build GTK+. See http://www.pango.org for Pango information.
i installed Pango.
but it's not finding pango.
iam installeed all the dependoes with ./configure --prefix=/usr
thank u
sree


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 

All times are UTC


Who is online

Users browsing this forum: Google [Bot], Google Adsense [Bot] and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group